#include <iostream>
#include <cmath>

using namespace std;

struct vector
{
	double x, y;
};

int ccw(vector p0, vector p1, vector p2)
{
	int dx1, dx2, dy1, dy2;
	dx1 = p1.x - p0.x;
	dy1 = p1.y - p0.y;
	dx2 = p2.x - p0.x;
	dy2 = p2.y - p0.y;
	if(dx1 * dy2 > dy1 * dx2)
		return 1;
	if(dx1 * dy2 < dy1 * dx2)
		return -1;
	if((dx1 * dx2 < 0) || (dy1 * dy2 < 0))
		return -1;
	if((dx1 * dx1 + dy1 * dy1) < (dx2 * dx2 + dy2 * dy2))
		return 1;
	return 0;
}
	
bool intersect2(vector X, vector v, vector Z)
{
	vector Y;
	Y.x = X.x + v.x;
	Y.y = X.y + v.y;
	vector W;
	W.y = Z.y;
	W.x = 10000;
	
	return ((ccw(X, Y, Z) * ccw(X, Y, W)) <= 0)
				&& 
			((ccw(Z, W, X) * ccw(Z, W, Y)) <= 0);
}

bool intersect(vector X, vector v, vector Z)
{
	if(v.y == 0)
	{
		if(Z.x == X.x)
			return true;
		else
			return false;
	}
	
	double t = (Z.y - X.y) / v.y;
	double Ax  = X.x + v.x * t;
	if(Ax < Z.x)
		return false;
		
	double x, y, a;
	vector Y;
	Y.x = X.x + v.x;
	Y.y = X.y + v.y;
	if(abs(X.x - Y.x) > abs(X.y - Y.y))
	{
		x = X.x;
		y = Y.x;
		a = Ax;
	}
	else
	{
		x = X.y;
		y = Y.y;
		double Ay  = X.y + v.y * t;
		a = Ay;
	}
	if((a >= x && a <= y) || (a <=x && a >=y))
	{		
		return true;
	}
	else
		return false;
}

vector v[102], p[102];
bool inter[210][210];

int main()
{	
	while(1)
	{
		int n;
		cin >> n;
		if(n == 0)
			break;
		
		for(int i = 0; i < n; i++)
		{
			cin >> p[i].x;
			cin >> p[i].y;
		}
		for(int i = 0; i < n; i++)
		{
			int index = (i + 1)  % n;
			v[i].x = p[index].x - p[i].x;
			v[i].y = p[index].y - p[i].y;
		}
		
		/***/
		/*
		for(int i = 0; i < n; i++)
		{
			cout << p[i].x << " " << p[i].y  << ":" << v[i].x << " " << v[i].y << endl;
		}
		*/
		/**/
		
		for(int i = -104; i <= 104; i++)
			for(int j = -104; j <= 104; j++)
			{
				vector Z;
				Z.x = i;
				Z.y = j;
				int count = 0;
				bool flag = false;
				for(int k = 0; k < n; k++)
				{
					if(intersect(p[k], v[k], Z))
					{
						count++;
						///****/ cout << "X " << i << " " << j << " " << k << " p " << p[k].x << " " << p[k].y << "v " << v[k].x << " " <<v[k].y << endl; /********/
					}
					if(Z.y == p[k].y && Z.x < p[k].x)
					{	
						flag = true;						
					}
						
				}
				if(flag) count--;
				
				inter[i+104][j+104] = (count % 2 != 0);
				/*
				if((count % 2 != 0))
					cout << "!!!!!!!!!!" << endl;
				*/
			}
			
		int count = 0;
		for(int i = -103; i < 103; i++)
			for(int j = -103; j < 103; j++)
			{
				if(	inter[i+104][j+104] && 
					inter[i+104+1][j+104] && 
					inter[i+104][j+104+1] && 
					inter[i+104+1][j+104+1] 			
				) count++;
					
			}
		cout << count << endl;
			
			
		/**debug**/
			/*
			for(int i = -25; i < 25; i++)
			{
				for(int j = -25; j < 25; j++)
					cout << inter[i + 104][j + 104];
				cout << endl;
			}
			*/
		/****/
	}
	
	return 0;
}